#include <iostream>

using namespace std;

int main(){
	int n;
	cin>>n;
	int A[n];
	double P[n];
	for(int i=0;i<n;i++){
		cin>>A[i]>>P[i];
	}
	double zbir;
	double maxZbir=0;
	for(int i=0;i<n;i++){
		zbir=0;
		for(int k=0;k<n;k++){
			if(P[i]<=P[k])
			zbir+=P[i]*A[k];
		}
		if(zbir>maxZbir)
		maxZbir=zbir;
		zbir=0;
	}
	cout<<maxZbir;
}